* {
  -webkit-touch-callout: none;
  /* iOS Safari */
  -webkit-user-select: none;
  /* Safari */
  -khtml-user-select: none;
  /* Konqueror HTML */
  -moz-user-select: none;
  /* Firefox */
  -ms-user-select: none;
  /* Internet Explorer/Edge */
  user-select: none;

  /* Non-prefixed version, currently supported by Chrome and Opera */
  *::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    // display: none !important;
  }

  *:hover::-webkit-scrollbar {
    width: 6px;
    height: 6px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
  }

  *::-webkit-scrollbar-corner {
    background-color: transparent !important;
  }

  *::-webkit-scrollbar-track {
    background-color: rgba(255, 255, 255, 0);
    opacity: 0;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
  }

  *::-webkit-scrollbar-thumb {
    background-color: rgba(130, 157, 190, 0.185);
    outline: 0px solid rgba(0, 0, 0, 0.226);
    border-radius: 4px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
  }

  *::-webkit-scrollbar-thumb:hover {
    background-color: rgba(130, 157, 190, 0.233);
    outline: 6px solid rgba(0, 0, 0, 0.274);
    border-radius: 7px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
  }

  *::-webkit-scrollbar-thumb:active {
    background-color: rgba(130, 157, 190, 0.233);
    outline: 6px solid rgba(110, 110, 110, 0.247);
    border-radius: 7px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
  }

  * {
    scrollbar-color: rgba(116, 116, 116, 0.212) rgba(255, 255, 255, 0);
    scrollbar-width: thin;
  }
}

#Scrollcontent::-webkit-scrollbar {
  width: 0px;
  height: 0px;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  // display: none !important;
}

#Scrollcontent:hover::-webkit-scrollbar {
  width: 0px;
  height: 0px;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
}

@import '~perfect-scrollbar/css/perfect-scrollbar.css';

.light {
  perfect-scrollbar.ps-show-active>.ps.ps--active-y>.ps-overlay:not(.ps-at-top) .ps-indicator-top {
    background: linear-gradient(to bottom, #f5f7fa 10%, #f5f7fa00 100%);
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-y>.ps-overlay:not(.ps-at-bottom) .ps-indicator-bottom {
    background: linear-gradient(to top, #f5f7fa 10%, #f5f7fa00 100%);
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-x>.ps-overlay:not(.ps-at-left) .ps-indicator-left {
    background: linear-gradient(to right, #f5f7fa 10%, #f5f7fa00 100%);
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-x>.ps-overlay:not(.ps-at-right) .ps-indicator-right {
    background: linear-gradient(to left, #f5f7fa 10%, #f5f7fa00 100%);
  }
}

.dark {
  perfect-scrollbar.ps-show-active>.ps.ps--active-y>.ps-overlay:not(.ps-at-top) .ps-indicator-top {
    background: linear-gradient(to bottom, #1a1a1d 10%, #1a1a1d00 100%) !important;
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-y>.ps-overlay:not(.ps-at-bottom) .ps-indicator-bottom {
    background: linear-gradient(to top, #1a1a1d 10%, #1a1a1d00 100%) !important;
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-x>.ps-overlay:not(.ps-at-left) .ps-indicator-left {
    background: linear-gradient(to right, #1a1a1d 10%, #1a1a1d00 100%) !important;
  }

  perfect-scrollbar.ps-show-active>.ps.ps--active-x>.ps-overlay:not(.ps-at-right) .ps-indicator-right {
    background: linear-gradient(to left, #1a1a1d 10%, #1a1a1d00 100%) !important;
  }
}

.ps .ps__rail-x:hover,
.ps .ps__rail-y:hover,
.ps .ps__rail-x:focus,
.ps .ps__rail-y:focus,
.ps .ps__rail-x.ps--clicking,
.ps .ps__rail-y.ps--clicking,
perfect-scrollbar>.ps.ps--scrolling-y>.ps__rail-y,
perfect-scrollbar>.ps.ps--scrolling-x>.ps__rail-x {
  background-color: #eee0 !important;
  opacity: 1 !important;
}

.ps__thumb-y {
  background-color: rgba(153, 169, 187, 0.24) !important;
  border-radius: 6px;
  width: 6px;
  right: 2px;
  transition: all 0.5s;
}

.ps__rail-y:hover>.ps__thumb-y,
.ps__rail-y:focus>.ps__thumb-y,
.ps__rail-y.ps--clicking .ps__thumb-y {
  background-color: rgba(153, 169, 187, 0.322) !important;
  width: 11px;
}